Index: doc/latex/chmat_8h__dep__incl.eps
===================================================================
--- doc/latex/chmat_8h__dep__incl.eps (revision 145)
+++ doc/latex/chmat_8h__dep__incl.eps (revision 210)
@@ -1,4 +1,4 @@
 %!PS-Adobe-3.0 EPSF-3.0
-%%Creator: Graphviz version 2.20.2 (Fri Aug  1 12:10:09 UTC 2008)
+%%Creator: Graphviz version 2.20.2 (Sun Oct 12 22:28:10 UTC 2008)
 %%For: (smidl) Vaclav Smidl,,,
 %%Title: G
@@ -180,33 +180,33 @@
 setupLatin1
 %%Page: 1 1
-%%PageBoundingBox: 36 36 772 240
+%%PageBoundingBox: 36 36 852 240
 %%PageOrientation: Portrait
 0 0 1 beginpage
 gsave
-36 36 736 204 boxprim clip newpath
+36 36 816 204 boxprim clip newpath
 1 1 set_scale 0 rotate 40 40 translate
 % Node1
 gsave
 0.000 0.000 0.749 nodecolor
-newpath 416 174 moveto
-416 195 lineto
-597 195 lineto
-597 174 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 416 174 moveto
-416 195 lineto
-597 195 lineto
-597 174 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-423.5 181.5 moveto 165 (work/git/mixpp/bdm/math/chmat.h) alignedtext
+newpath 496 174 moveto
+496 195 lineto
+677 195 lineto
+677 174 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 496 174 moveto
+496 195 lineto
+677 195 lineto
+677 174 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+503.5 181.5 moveto 165 (work/git/mixpp/bdm/math/chmat.h) alignedtext
 grestore
 % Node2
 gsave
-[ /Rect [ 326 117 498 137 ]
+[ /Rect [ 406 117 578 137 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($libKF_8h.html) >>
@@ -214,20 +214,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 326 116 moveto
-326 137 lineto
-498 137 lineto
-498 116 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 326 116 moveto
-326 137 lineto
-498 137 lineto
-498 116 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-334 123.5 moveto 156 (work/git/mixpp/bdm/estim/libKF.h) alignedtext
+newpath 406 116 moveto
+406 137 lineto
+578 137 lineto
+578 116 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 406 116 moveto
+406 137 lineto
+578 137 lineto
+578 116 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+414 123.5 moveto 156 (work/git/mixpp/bdm/estim/libKF.h) alignedtext
 grestore
 % Node1->Node2
@@ -236,23 +236,23 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 479 169 moveto
-463 158 442 145 428 137 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 477.56 172.2 moveto
-488 174 lineto
-480.96 166.08 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 477.56 172.2 moveto
-488 174 lineto
-480.96 166.08 lineto
-closepath stroke
-grestore
-% Node5
-gsave
-[ /Rect [ 550 59 728 79 ]
+newpath 559 169 moveto
+543 158 522 145 508 137 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 557.56 172.2 moveto
+568 174 lineto
+560.96 166.08 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 557.56 172.2 moveto
+568 174 lineto
+560.96 166.08 lineto
+closepath stroke
+grestore
+% Node6
+gsave
+[ /Rect [ 630 59 808 79 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($sim__var_8cpp.html) >>
@@ -260,45 +260,45 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 550 58 moveto
-550 79 lineto
-729 79 lineto
-729 58 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 550 58 moveto
-550 79 lineto
-729 79 lineto
-729 58 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-557.5 65.5 moveto 163 (work/git/mixpp/pmsm/sim_var.cpp) alignedtext
-grestore
-% Node1->Node5
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 527 167 moveto
-555 143 604 99 627 79 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 524.22 164.78 moveto
-519 174 lineto
-528.83 170.05 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 524.22 164.78 moveto
-519 174 lineto
-528.83 170.05 lineto
+newpath 630 58 moveto
+630 79 lineto
+809 79 lineto
+809 58 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 630 58 moveto
+630 79 lineto
+809 79 lineto
+809 58 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+637.5 65.5 moveto 163 (work/git/mixpp/pmsm/sim_var.cpp) alignedtext
+grestore
+% Node1->Node6
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 607 167 moveto
+635 143 684 99 707 79 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 604.22 164.78 moveto
+599 174 lineto
+608.83 170.05 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 604.22 164.78 moveto
+599 174 lineto
+608.83 170.05 lineto
 closepath stroke
 grestore
 % Node3
 gsave
-[ /Rect [ 0 59 198 79 ]
+[ /Rect [ 80 59 278 79 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($ekf__templ_8h.html) >>
@@ -306,20 +306,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 0 58 moveto
-0 79 lineto
-199 79 lineto
-199 58 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 0 58 moveto
-0 79 lineto
-199 79 lineto
-199 58 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-7.5 65.5 moveto 183 (work/git/mixpp/bdm/estim/ekf_templ.h) alignedtext
+newpath 80 58 moveto
+80 79 lineto
+279 79 lineto
+279 58 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 80 58 moveto
+80 79 lineto
+279 79 lineto
+279 58 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+87.5 65.5 moveto 183 (work/git/mixpp/bdm/estim/ekf_templ.h) alignedtext
 grestore
 % Node2->Node3
@@ -328,44 +328,44 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 342 114 moveto
-285 103 206 88 153 79 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 341.51 117.47 moveto
-352 116 lineto
-342.88 110.61 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 341.51 117.47 moveto
-352 116 lineto
-342.88 110.61 lineto
-closepath stroke
-grestore
-% Node2->Node5
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 465 113 moveto
-506 103 562 88 600 79 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 463.57 109.77 moveto
-455 116 lineto
-465.58 116.48 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 463.57 109.77 moveto
-455 116 lineto
-465.58 116.48 lineto
-closepath stroke
-grestore
-% Node6
-gsave
-[ /Rect [ 216 59 532 79 ]
+newpath 422 114 moveto
+365 103 286 88 233 79 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 421.51 117.47 moveto
+432 116 lineto
+422.88 110.61 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 421.51 117.47 moveto
+432 116 lineto
+422.88 110.61 lineto
+closepath stroke
+grestore
+% Node2->Node6
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 545 113 moveto
+586 103 642 88 680 79 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 543.57 109.77 moveto
+535 116 lineto
+545.58 116.48 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 543.57 109.77 moveto
+535 116 lineto
+545.58 116.48 lineto
+closepath stroke
+grestore
+% Node7
+gsave
+[ /Rect [ 296 59 612 79 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($ekf__obj_8h.html) >>
@@ -373,45 +373,91 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 216 58 moveto
-216 79 lineto
-532 79 lineto
-532 58 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 216 58 moveto
-216 79 lineto
-532 79 lineto
-532 58 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-224 65.5 moveto 300 (work/git/mixpp/pmsm/simulator_zdenek/ekf_example/ekf_obj.h) alignedtext
-grestore
-% Node2->Node6
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 400 108 moveto
-393 98 386 87 381 79 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 396.73 109.38 moveto
-405 116 lineto
-402.67 105.66 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 396.73 109.38 moveto
-405 116 lineto
-402.67 105.66 lineto
+newpath 296 58 moveto
+296 79 lineto
+612 79 lineto
+612 58 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 296 58 moveto
+296 79 lineto
+612 79 lineto
+612 58 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+304 65.5 moveto 300 (work/git/mixpp/pmsm/simulator_zdenek/ekf_example/ekf_obj.h) alignedtext
+grestore
+% Node2->Node7
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 480 108 moveto
+473 98 466 87 461 79 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 476.73 109.38 moveto
+485 116 lineto
+482.67 105.66 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 476.73 109.38 moveto
+485 116 lineto
+482.67 105.66 lineto
 closepath stroke
 grestore
 % Node4
 gsave
-[ /Rect [ 2 1 196 21 ]
+[ /Rect [ 0 1 162 21 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($k1_8cpp.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 0 0 moveto
+0 21 lineto
+162 21 lineto
+162 0 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 0 0 moveto
+0 21 lineto
+162 21 lineto
+162 0 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+8 7.5 moveto 146 (work/git/mixpp/doprava/k1.cpp) alignedtext
+grestore
+% Node3->Node4
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 151 53 moveto
+134 42 112 30 98 21 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 149.56 56.2 moveto
+160 58 lineto
+152.96 50.08 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 149.56 56.2 moveto
+160 58 lineto
+152.96 50.08 lineto
+closepath stroke
+grestore
+% Node5
+gsave
+[ /Rect [ 180 1 374 21 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($pmsm__mix_8cpp.html) >>
@@ -419,40 +465,40 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 2 0 moveto
-2 21 lineto
-197 21 lineto
-197 0 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 2 0 moveto
-2 21 lineto
-197 21 lineto
-197 0 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-9.5 7.5 moveto 179 (work/git/mixpp/pmsm/pmsm_mix.cpp) alignedtext
-grestore
-% Node3->Node4
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 99 48 moveto
-99 38 99 28 99 21 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 95.5 48 moveto
-99 58 lineto
-102.5 48 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 95.5 48 moveto
-99 58 lineto
-102.5 48 lineto
+newpath 180 0 moveto
+180 21 lineto
+375 21 lineto
+375 0 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 180 0 moveto
+180 21 lineto
+375 21 lineto
+375 0 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+187.5 7.5 moveto 179 (work/git/mixpp/pmsm/pmsm_mix.cpp) alignedtext
+grestore
+% Node3->Node5
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 207 53 moveto
+224 42 246 30 260 21 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 205.04 50.08 moveto
+198 58 lineto
+208.44 56.2 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 205.04 50.08 moveto
+198 58 lineto
+208.44 56.2 lineto
 closepath stroke
 grestore
@@ -464,5 +510,5 @@
 %%Trailer
 %%Pages: 1
-%%BoundingBox: 36 36 772 240
+%%BoundingBox: 36 36 852 240
 end
 restore
